Board index » kylix » Kylix built apps with RH Fedora Core 2

Kylix built apps with RH Fedora Core 2


2004-09-18 01:41:51 AM
kylix1
Just curious if anyone had found a way to get their Kylix built applications
to work under the latest Kernel for Fedora Core 2? Our applications work
fine with the older Kernel, but not with the newest.
It seems like the problem may be happening with the libpthread? But this
might not be correct. Any suggestions/thoughts appreciated. I still need to
work under RH 7.2, etc so any solution must allow me to not lose this.
Thanks!
 
 

Re:Kylix built apps with RH Fedora Core 2

Wendy Carson wrote:
Quote
Just curious if anyone had found a way to get their Kylix built applications
to work under the latest Kernel for Fedora Core 2? Our applications work
fine with the older Kernel, but not with the newest.

It seems like the problem may be happening with the libpthread? But this
might not be correct. Any suggestions/thoughts appreciated. I still need to
work under RH 7.2, etc so any solution must allow me to not lose this.

Thanks!


I've found that my K3 binaries won't run on Fedora Core 2 using kernel-2.6.8-1.521 without
using one of the solutions that is mentioned at this link.
fedoranews.org/updates/FEDORA-2004-267.shtml
One user suggested that the best solution would be to add to /etc/rc.d/rc.local the following:
if [ `uname -r` = "2.6.8-1.521" ]; then
echo 1>/proc/sys/vm/legacy_va_layout
fi
Of course this is a shotgun approach and would have to be changed if the next kernel has
the same problem. If this suggestion leads you to a better idea or fix then let us know.
Corwin
 

Re:Kylix built apps with RH Fedora Core 2

Wendy Carson wrote:
Quote
Just curious if anyone had found a way to get their Kylix built
applications to work under the latest Kernel for Fedora Core 2? Our
applications work fine with the older Kernel, but not with the newest.

It seems like the problem may be happening with the libpthread? But this
might not be correct. Any suggestions/thoughts appreciated. I still need
to work under RH 7.2, etc so any solution must allow me to not lose this.

Thanks!
did U try export LD_ASSUME_KERNEL=2.4.0 before starting app ?
 

{smallsort}